import { jsx } from "react/jsx-runtime";
import { TokenGHST as TokenGHST$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenGHST = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "GHST", "data-name": "TokenGHST", ...props, children: /* @__PURE__ */ jsx(TokenGHST$1, { variant }) });
  }
);
TokenGHST.displayName = "TokenGHST";
Object.assign(TokenGHST, { isGdsIcon: true });
export {
  TokenGHST
};
